package com.ym.mec.biz.dal.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;

import com.ym.mec.common.entity.BaseEntity;

/**
 * 对应数据库表(activity_apply_student_type):
 */
public class ActivityApplyStudentType extends BaseEntity {

	/**  */
	private Integer id;
	
	/** 是否是新学员1是0否 */
	private Integer newStudent = -1;
	
	/** 是否会员 */
	private Integer memberFlag = -1;
	
	/** 活动编号 */
	private Integer activityId;
	
	public void setId(Integer id){
		this.id = id;
	}
	
	public Integer getId(){
		return this.id;
	}
			
	public void setNewStudent(Integer newStudent){
		this.newStudent = newStudent;
	}
	
	public Integer getNewStudent(){
		return this.newStudent;
	}
			
	public void setMemberFlag(Integer memberFlag){
		this.memberFlag = memberFlag;
	}
	
	public Integer getMemberFlag(){
		return this.memberFlag;
	}
			
	public void setActivityId(Integer activityId){
		this.activityId = activityId;
	}
	
	public Integer getActivityId(){
		return this.activityId;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
